package com.zzsn.utility.model;
import java.util.List;


/**
 * 元搜索关键词Model
 * @author 刘小鹏
 * @date 2015-11-02 14:13
 * @company 郑州数能软件科技有限公司
 */
public class MetaSearch {


		//columns START
	    /**
	     * id       db_column: ID 
	     */ 	
		private Long id;
	    /**
	     * keyword       db_column: KEYWORD 
	     */ 	
		private String keyword;
	    /**
	     * tid       db_column: TID 
	     */ 	
		private Long tid;
	    /**
	     * orgId       db_column: ORG_ID 
	     */ 	
		private Long orgId;
	    /**
	     * creatby       db_column: CREATBY 
	     */ 	
		private String creatby;
	    /**
	     * createdate       db_column: CREATEDATE 
	     */ 	
		private String createdate;
		private List<Long> orgs;
		
		private String tids;
		
		
		//columns END


		public String getTids() {
			return tids;
		}
		public void setTids(String tids) {
			this.tids = tids;
		}
		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getKeyword() {
			return keyword;
		}
		public void setKeyword(String keyword) {
			this.keyword = keyword;
		}
		public Long getTid() {
			return tid;
		}
		public void setTid(Long tid) {
			this.tid = tid;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
		public String getCreatby() {
			return creatby;
		}
		public void setCreatby(String creatby) {
			this.creatby = creatby;
		}
		public String getCreatedate() {
			return createdate;
		}
		public void setCreatedate(String createdate) {
			this.createdate = createdate;
		}
		public List<Long> getOrgs() {
			return orgs;
		}
		public void setOrgs(List<Long> orgs) {
			this.orgs = orgs;
		}
		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + ((id == null) ? 0 : id.hashCode());
			return result;
		}
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (getClass() != obj.getClass())
				return false;
			MetaSearch other = (MetaSearch) obj;
			if (id == null) {
				if (other.id != null)
					return false;
			} else if (!id.equals(other.id))
				return false;
			return true;
		}

	
}
